audioId), generation can proceed; lyrics (formerly used via prompt), title, and style are optionalaudioId, modellyrics is optional and takes priority over prompt as lyrics. If lyrics is omitted, prompt is used as lyrics when providedstyle and title are optionalcontinueAt specifies the position in the original track where the extension should beginprompt 3000 characters, style 200 characters, title 80 charactersprompt 5000 characters, style 1000 characters, title 100 charactersprompt 5000 characters, style 1000 characters, title 80 charactersprompt 5000 characters, style 1000 characters, title 100 characterslyrics / prompt 5000 characters, style 1000 characters, title 100 characterscurl --location 'https://api.emix.ai/api/v1/client/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno/extend",
"callBackUrl": "https://api.example.com/callback",
"input": {
"audioId": "e231****-****-****-****-****8cadc7dc",
"prompt": "Extend the music with more relaxing notes and a gentle bridge section",
"lyrics": "[Verse]\nKeep the melody flowing\nInto a gentle bridge\n[Chorus]\nLet the piano rise and fall",
"style": "Classical",
"title": "Peaceful Piano Extended",
"continueAt": 60,
"model": "V6",
"negativeTags": "Heavy Metal, Upbeat Drums",
"vocalGender": "m",
"styleWeight": 0.65,
"weirdnessConstraint": 0.65,
"audioWeight": 0.65,
"variety": 1,
"personaId": "persona_123",
"personaModel": "style_persona",
"instrumental": false
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}